<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Iteria - Wallet</title>
  <!-- Libraries BS, JQuery, Web3, Truffle-Contract, App -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/css/bootstrap.min.css" rel="stylesheet">
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.1/dist/js/bootstrap.bundle.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
  <script src="https://cdn.jsdelivr.net/gh/ethereum/web3.js@1.0.0-beta.34/dist/web3.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/truffle-contract@4.0.31/dist/truffle-contract.min.js"></script>
  <script src="js/app.js"></script>
</head>
<body>
  <header class="navbar navbar-expand-sm bg-dark navbar-dark">
    <div class="container-fluid justify-content-center">
      <a class="navbar-brand" href="#">
        <h1 class="text-center">Iteria Payment App</h1>
      </a>
    </div>
  </header>
  <section class="container-fluid">
    <div class="row min-vh-100">
      <div class="col-sm-3" style="background-color:#E1C16E;"></div>
      <div class="col-sm-6" style="background-color:#DAA06D;">
        <br />
        <h2 class="text-center">&#9749; Enjoy the Cafe Aroma &#9749;</h2>
        <h4 class="text-center">Where memories live on:</h4>
        <div class="card">
          <img class="card-img-top mx-auto d-block" id="MyTokenImage" src="img/iteria_token.png" alt="Card image" style="width:20%">
          <div class="card-body">
            <h4 class="card-title">Pay Easily Through Token</h4>
            <p class="card-text"><span id="MyTokenDescription"></span></p>
            <div class="row">
              <h5><strong>My Wallet : </strong></strongMy><small id="MyTokenWallet"></small></h5>
              <h5><strong>Balance</strong>: <small id="MyTokenBalance"></small> <small id="MyTokenSymbol"></small></h5>
              <h5><strong>Status</strong>: <small id="MyTokenOwner"></small></h5>
              <div id="mintToken" class="d-none">
                <h4>Mint New Token</h4>
                <div class="input-group mb-3">
                  <input type="text" class="form-control" id="MyTokenMintAmount" placeholder="Amount" />
                </div>
                <div class="input-group mb-3">
                  <button class="btn btn-primary" id="mintButton" type="button">Mint</button>
                </div>
              </div>
              <h4>Transfer</h4>
              <div class="input-group mb-3">
                <input type="text" class="form-control" id="MyTokenTransferAddress" placeholder="Address" />
              </div>
              <div class="input-group mb-3">
                <input type="text" class="form-control" id="MyTokenTransferAmount" placeholder="Amount" />
              </div>
              <div class="input-group mb-3">
                <button class="btn btn-primary" id="transferButton" type="button">Transfer</button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-sm-3" style="background-color:#E1C16E;"></div>
    </div>
    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Transaction</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">
            <h2 id="message">Success!</h2>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-success" data-bs-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div><br><br><br>
  </section>
  <footer class="fixed-bottom text-center text-lg-start bg-light text-muted">
    <div class="text-center p-4" style="background-color: rgba(0, 0, 0, 0.05);">
      &copy; 2022 Copyright:
      <a class="text-reset fw-bold" href="https://www.gcit.edu.sg/">GCIT+</a>
    </div>
  </footer>
</body>
</html>